# frozen_string_literal: true
source 'https://rubygems.org'
gem 'thin', '1.7.0'
# Bundle edge Rails instead: gem 'rails', github: 'rails/rails'
gem 'rails', '4.2.5.1'
# Use postgresql as the database for Active Record
gem 'pg', '~> 0.15'
# Use SCSS for stylesheets
gem 'bootstrap-sass', '~> 3.3.5'
gem 'rails_12factor', group: :production
gem 'paperclip', '~> 4.3'
gem 'sass-rails', '~> 5.0'
# Use Uglifier as compressor for JavaScript assets
gem 'uglifier', '>= 1.3.0'
# Use CoffeeScript for .coffee assets and views
gem 'coffee-rails', '~> 4.1.0'
# See https://github.com/rails/execjs#readme for more supported runtimes
# gem 'therubyracer', platforms: :ruby
# Use jquery as the JavaScript library
gem 'jquery-rails', '4.2.1'
# Turbolinks makes following links in your web application faster. Read more: https://github.com/rails/turbolinks
gem 'turbolinks', '5.0.1'
gem 'responders', '~> 2.0'
# Build JSON APIs with ease. Read more: https://github.com/rails/jbuilder
gem 'jbuilder', '~> 2.0'
gem 'active_model_serializers', '~> 0.10.0'
# bundle exec rake doc:rails generates the API under doc/api.
gem 'sdoc', '~> 0.4.0', group: :doc
gem 'paperclip-dropbox', '>= 1.1.7'
# Use unicorn as the app server
gem 'draper', '2.1.0'
gem 'devise','4.2.0'
gem 'gon', '6.1.0'
gem 'globalize', '~> 5.0.0'
gem 'chronic_duration', '~> 0.10.6'
# gem 'unicorn'
gem 'angularjs-rails', '~> 1.5.6'
gem 'angularjs-rails-resource', '~> 2.0.0'
gem 'angular-ui-router-rails', '~> 0.2.15'
gem 'angular-rails-templates', '1.0.2'
gem 'angular-ui-bootstrap-rails', '1.3.2'
gem 'sprockets', '3.7.0'
gem 'font-awesome-sass', '4.6.2'
gem 'spring', group: :development
gem 'jquery-ui-rails', '5.0.5'
# Use ActiveModel has_secure_password
# gem 'bcrypt', '~> 3.1.7'
# Use Unicorn as the app server
# gem 'unicorn'

# Use Capistrano for deployment
# gem 'capistrano-rails', group: :development
source 'https://rails-assets.org' do
  gem 'rails-assets-angular-devise', '1.3.0'
end
group :development, :test do
  # Call 'byebug' anywhere in the code to stop execution and get a debugger console
  gem 'byebug'
  gem 'rspec-rails'
  gem 'guard-rspec'
  gem 'capybara'
  gem 'factory_girl_rails', '~> 4.0'

  gem 'rspec-collection_matchers'
  gem 'jasmine'
  gem 'jasmine-phantom'
  gem 'lurker'
  gem 'pry-rails'
end

group :development do
  # Access an IRB console on exception pages or by using <%= console %> in views
  gem 'web-console', '~> 2.0'
end

group :test do
  gem 'poltergeist'
  gem 'phantomjs', require: 'phantomjs/poltergeist'
  gem 'database_cleaner'
  gem 'simplecov', require: false, group: :test
  gem 'launchy', '~> 2.4', '>= 2.4.3'
end
